package cz.moneta.test.dsl.cagw.api.v2.external.client.kyc.businesscard;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class BusinessCardBuilder {
    private final Harness harness;

    public BusinessCardBuilder(Harness harness) {
        this.harness = harness;
    }

    public BusinessCard prepareBusinessCardRequest() {
        return getBuilder(BusinessCard.class);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}